## net.i2p.router.networkdb.kademlia
Class SearchState

    java.lang.Object
      net.i2p.router.networkdb.kademlia.SearchState

class SearchState
extends java.lang.Object

Data related to a particular search

Constructor Summary
`SearchState(RouterContext context, Hash key)`

Method Summary
`void` `addPending(java.util.Collection pending)`
`void` `addPending(Hash peer)`
`void` `complete(boolean completed)`
`boolean` `completed()`
`long` `dataFound(Hash peer)` how long did it take to get the reply, or -1 if we don't know
`java.util.Set` `getAttempted()`
`java.util.Set` `getClosestAttempted(int max)`
`java.util.Set` `getFailed()`
`java.util.Set` `getPending()`
`java.util.Set` `getRepliedPeers()`
`java.util.Set` `getSuccessful()`
`Hash` `getTarget()`
`long` `getWhenCompleted()`
`long` `getWhenStarted()`
`void` `removePending(Hash peer)` we didn't actually want to add this peer as part of the pending list...
`long` `replyFound(Hash peer)` how long did it take to get the reply, or -1 if we dont know
`void` `replyTimeout(Hash peer)`
`java.lang.String` `toString()`
`boolean` `wasAttempted(Hash peer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SearchState

    public SearchState(RouterContext context,
                       Hash key)

Method Detail

### getTarget

    public Hash getTarget()

### getPending

    public java.util.Set getPending()

### getAttempted

    public java.util.Set getAttempted()

### getClosestAttempted

    public java.util.Set getClosestAttempted(int max)

### wasAttempted

    public boolean wasAttempted(Hash peer)

### getSuccessful

    public java.util.Set getSuccessful()

### getFailed

    public java.util.Set getFailed()

### completed

    public boolean completed()

### complete

    public void complete(boolean completed)

### getWhenStarted

    public long getWhenStarted()

### getWhenCompleted

    public long getWhenCompleted()

### addPending

    public void addPending(java.util.Collection pending)

### addPending

    public void addPending(Hash peer)

### removePending

    public void removePending(Hash peer)

  we didn't actually want to add this peer as part of the pending list...

### dataFound

    public long dataFound(Hash peer)

  how long did it take to get the reply, or -1 if we don't know

### replyFound

    public long replyFound(Hash peer)

  how long did it take to get the reply, or -1 if we dont know

### getRepliedPeers

    public java.util.Set getRepliedPeers()

### replyTimeout

    public void replyTimeout(Hash peer)

### toString

    public java.lang.String toString()